
ctools - Bug #1752

TypeError while running csiactobs.py

03/31/2016 12:15 PM - Servillat Mathieu

Status: Closed Start date: 03/31/2016

Priority: Normal Due date:  

Assigned To: Servillat Mathieu % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 1.1.0   

Description

Running the latest version of the script, I get this error:

TypeError: GModels_save() takes exactly 2 arguments (3 given)

History

#1 - 03/31/2016 12:38 PM - Servillat Mathieu

Pull request proposed:

https://cta-gitlab.irap.omp.eu/mservillat/ctools.git

branch: 1752-csiactobs-typeerror

I simply removed self._clobber() attribute to the self._models.save() function at line 621 of csiactobs.py. It works, though I wonder if the addition of

clobber was in fact intentional, implying further modifications to the GammaLib GModels.save() function maybe.

#2 - 04/01/2016 09:52 PM - Knödlseder Jürgen

- Status changed from New to Closed

- Target version set to 1.1.0

- % Done changed from 0 to 100

Thanks for catching that. I had in fact already corrected the bug, but the code was not yet in devel. This is fixed now.
